igeo.io

## Class I3DXML.FaceGPType

- java.lang.Object
- - igeo.io.I3DXML.FaceGPType

- Enclosing class:
    I3DXML

      public static class I3DXML.FaceGPType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[][]` | `fanIndices`
    `java.lang.String` | `fans`
    `IMesh` | `mesh`
    `int[][]` | `stripIndices`
    `java.lang.String` | `strips`
    `I3DXML.SurfaceAttributesType` | `surfaceAttributes`
    `int[]` | `triangleIndices`
    `java.lang.String` | `triangles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaceGPType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMesh` | `instantiatePolygon(I3DXML.VertexBufferType vtx)`
    `void` | `setFans(java.lang.String fans)`
    `void` | `setStrips(java.lang.String strips)`
    `void` | `setTriangles(java.lang.String triangles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### surfaceAttributes

          public I3DXML.SurfaceAttributesType surfaceAttributes

    - #### triangles

          public java.lang.String triangles

    - #### strips

          public java.lang.String strips

    - #### fans

          public java.lang.String fans

    - #### triangleIndices

          public int[] triangleIndices

    - #### stripIndices

          public int[][] stripIndices

    - #### fanIndices

          public int[][] fanIndices

    - #### mesh

          public IMesh mesh

  - ### Constructor Detail

    - #### FaceGPType

          public FaceGPType()

  - ### Method Detail

    - #### setTriangles

          public void setTriangles(java.lang.String triangles)

    - #### setStrips

          public void setStrips(java.lang.String strips)

    - #### setFans

          public void setFans(java.lang.String fans)

    - #### instantiatePolygon

          public IMesh instantiatePolygon(I3DXML.VertexBufferType vtx)